<?php

namespace WPML\PHP\Logger;


/**
 * @param string       $message
 * @param array<mixed> $context
 *
 * @return void
 */
function error( string $message, array $context = [] ) {
  LogLoader::getLogger()->error( $message, $context );
}

/**
 * @param string       $message
 * @param array<mixed> $context
 *
 * @return void
 */
function warning( string $message, array $context = [] ) {
  LogLoader::getLogger()->warning( $message, $context );
}

/**
 * @param string       $message
 * @param array<mixed> $context
 *
 * @return void
 */
function notice( string $message, array $context = [] ) {
  LogLoader::getLogger()->notice( $message, $context );
}

/**
 * @param string       $message
 * @param array<mixed> $context
 *
 * @return void
 */
function info( string $message, array $context = [] ) {
  LogLoader::getLogger()->info( $message, $context );
}

/**
 * @param string       $message
 * @param array<mixed> $context
 *
 * @return void
 */
function debug( string $message, array $context = [] ) {
  LogLoader::getLogger()->debug( $message, $context );
}

